---
title: String.prototype.includes()
slug: Web/JavaScript/Reference/Global_Objects/String/includes
tags:
  - JavaScript
  - Method
  - Prototype
  - Reference
  - String
---
<div>{{JSRef}}</div>

<p>The <strong><code>includes()</code></strong> method determines whether one string may be found within another string, returning <code>true</code> or <code>false</code> as appropriate.</p>

<div>{{EmbedInteractiveExample("pages/js/string-includes.html", "shorter")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>str</var>.includes(<var>searchString</var>[, <var>position</var>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>searchString</var></code></dt>
 <dd>A string to be searched for within <code><var>str</var></code>.</dd>
 <dt><code><var>position</var></code> {{optional_inline}}</dt>
 <dd>The position within the string at which to begin searching for <code>searchString</code>. (Defaults to <code>0</code>.)</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p><strong><code>true</code></strong> if the search string is found anywhere within the given string; otherwise, <strong><code>false</code></strong> if not.</p>

<h2 id="Description">Description</h2>

<p>This method lets you determine whether or not a string includes another string.</p>

<h3 id="Case-sensitivity">Case-sensitivity</h3>

<p>The <code>includes()</code> method is case sensitive. For example, the following expression returns <code>false</code>:</p>

<pre class="brush: js">'Blue Whale'.includes('blue')  // returns false
</pre>

<h2 id="Polyfill">Polyfill</h2>

<p>This method has been added to the ECMAScript 2015 specification and may not be available in all JavaScript implementations yet.</p>

<p>However, you can easily polyfill this method:</p>

<pre class="brush: js">if (!String.prototype.includes) {
  String.prototype.includes = function(search, start) {
    'use strict';

    if (search instanceof RegExp) {
      throw TypeError('first argument must not be a RegExp');
    }
    if (start === undefined) { start = 0; }
    return this.indexOf(search, start) !== -1;
  };
}
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Using_includes">Using <code>includes()</code></h3>

<pre class="brush: js">const str = 'To be, or not to be, that is the question.'

console.log(str.includes('To be'))        // true
console.log(str.includes('question'))     // true
console.log(str.includes('nonexistent'))  // false
console.log(str.includes('To be', 1))     // false
console.log(str.includes('TO BE'))        // false
console.log(str.includes(''))             // true
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-string.prototype.includes', 'String.prototype.includes')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("javascript.builtins.String.includes")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Array.prototype.includes()")}}</li>
 <li>{{jsxref("TypedArray.prototype.includes()")}}</li>
 <li>{{jsxref("String.prototype.indexOf()")}}</li>
 <li>{{jsxref("String.prototype.lastIndexOf()")}}</li>
 <li>{{jsxref("String.prototype.startsWith()")}}</li>
 <li>{{jsxref("String.prototype.endsWith()")}}</li>
</ul>
